[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.Close

Closes the form.

## Declaration

Source position: forms.pp line 707

`public procedure TCustomForm.Close;`

## Description

Close does not necessarily destroy the form. Modal forms only are hidden. When the MainForm is closed, the application terminates.

An OnCloseQuery handler can refuse to allow the form to close.

## See also

TCustomForm.CloseQuery |  | Asks the OnCloseQuery handler whether the form can be closed.